class CBase
{
private:
	int m_nMajor;
	int m_nMinor;
	int DumpFunction( int n){ return n;};
protected:
	int m_nSayHello;
	int PeriodTime(int PAR);
public:
	int m_nSaYoNaRa;	
	CBase();
	void SetInfo( void );
	void SetInfo(int nMajor, int nMinor);
	~CBase(){};
};
